# $Revision: 1.62 $, $Date: 2009/08/04 23:35:34 $
#
# Conditional build:
%bcond_without	threads		# build without support for threads in Perl

%if "%{pld_release}" == "th" || "%{pld_release}" == "ti"
%define		abi	5.10.0
%else
%define		abi	5.8.0
%endif

%define		perlthread		%{?with_threads:-thread-multi}
%define		perl_vendorarch	%{_libdir}/perl5/vendor_perl/%{abi}/%{_target_platform}%{perlthread}
%define		perl_vendorlib	%{_datadir}/perl5/vendor_perl
Summary:	Common dirs for Perl modules
Summary(pl.UTF-8):	Katalogi wspólne dla modułów Perla
Name:		perl-dirs
Version:	2.1
Release:	17
License:	Public Domain
Group:		Development/Languages/Perl
%{!?with_bootstrap:BuildRequires:	perl-base}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.442
Provides:	%{name}(%{_target_cpu}) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no binary blobs packaged
%define		_enable_debug_packages	0

%description
Common dirs for Perl modules.

%description -l pl.UTF-8
Katalogi wspólne dla modułów Perla.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorarch},%{perl_vendorlib}}

while read dir; do
	install -d $RPM_BUILD_ROOT$dir
done <<EOF
%{perl_vendorarch}/AI
%{perl_vendorarch}/Algorithm
%{perl_vendorarch}/Apache
%{perl_vendorarch}/Astro
%{perl_vendorarch}/Audio
%{perl_vendorarch}/Authen
%{perl_vendorarch}/B
%{perl_vendorarch}/BSD
%{perl_vendorarch}/Bit
%{perl_vendorarch}/Chemistry
%{perl_vendorarch}/Class
%{perl_vendorarch}/Compress
%{perl_vendorarch}/Compress/Raw
%{perl_vendorarch}/Convert
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Crypt/OpenSSL
%{perl_vendorarch}/Data
%{perl_vendorarch}/DateTime
%{perl_vendorarch}/Devel
%{perl_vendorarch}/Device
%{perl_vendorarch}/Digest
%{perl_vendorarch}/Encode
%{perl_vendorarch}/Event
%{perl_vendorarch}/File
%{perl_vendorarch}/IO
%{perl_vendorarch}/IPC
%{perl_vendorarch}/IPTables
%{perl_vendorarch}/IPTables/IPv4
%{perl_vendorarch}/Image
%{perl_vendorarch}/Inline
%{perl_vendorarch}/Linux
%{perl_vendorarch}/Locale
%{perl_vendorarch}/Math
%{perl_vendorarch}/Math/BigInt
%{perl_vendorarch}/Net
%{perl_vendorarch}/Ogg
%{perl_vendorarch}/Ogg/Vorbis
%{perl_vendorarch}/Params
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/Speech
%{perl_vendorarch}/Speech/Recognizer
%{perl_vendorarch}/String
%{perl_vendorarch}/Sub
%{perl_vendorarch}/Sys
%{perl_vendorarch}/Template
%{perl_vendorarch}/Term
%{perl_vendorarch}/Text
%{perl_vendorarch}/Time
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/Unix
%{perl_vendorarch}/Variable
%{perl_vendorarch}/WWW
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/AI
%{perl_vendorarch}/auto/Algorithm
%{perl_vendorarch}/auto/Astro
%{perl_vendorarch}/auto/Audio
%{perl_vendorarch}/auto/Authen
%{perl_vendorarch}/auto/BSD
%{perl_vendorarch}/auto/Bit
%{perl_vendorarch}/auto/Chemistry
%{perl_vendorarch}/auto/Class
%{perl_vendorarch}/auto/Clone
%{perl_vendorarch}/auto/Compress
%{perl_vendorarch}/auto/Compress/Raw
%{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/auto/Crypt/OpenSSL
%{perl_vendorarch}/auto/Data
%{perl_vendorarch}/auto/Devel
%{perl_vendorarch}/auto/Device
%{perl_vendorarch}/auto/Digest
%{perl_vendorarch}/auto/Encode
%{perl_vendorarch}/auto/Event
%{perl_vendorarch}/auto/File
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IPC
%{perl_vendorarch}/auto/IPTables
%{perl_vendorarch}/auto/IPTables/IPv4
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/auto/Inline
%{perl_vendorarch}/auto/Linux
%{perl_vendorarch}/auto/List
%{perl_vendorarch}/auto/Locale
%{perl_vendorarch}/auto/Math
%{perl_vendorarch}/auto/Math/BigInt
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/auto/Ogg
%{perl_vendorarch}/auto/Ogg/Vorbis
%{perl_vendorarch}/auto/Params
%{perl_vendorarch}/auto/Params/Util
%{perl_vendorarch}/auto/PerlIO
%{perl_vendorarch}/auto/Regexp
%{perl_vendorarch}/auto/Speech
%{perl_vendorarch}/auto/Speech/Recognizer
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/auto/Sub
%{perl_vendorarch}/auto/Sys
%{perl_vendorarch}/auto/Term
%{perl_vendorarch}/auto/Text
%{perl_vendorarch}/auto/Time
%{perl_vendorarch}/auto/Unicode
%{perl_vendorarch}/auto/Unix
%{perl_vendorarch}/auto/Variable
%{perl_vendorarch}/auto/WWW
%{perl_vendorarch}/auto/XML
%{perl_vendorlib}/AI
%{perl_vendorlib}/AI/NeuralNet
%{perl_vendorlib}/Algorithm
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Apache2
%{perl_vendorlib}/App
%{perl_vendorlib}/App/Packer
%{perl_vendorlib}/App/Prove
%{perl_vendorlib}/App/Prove/State
%{perl_vendorlib}/App/Prove/State/Result
%{perl_vendorlib}/Archive
%{perl_vendorlib}/Array
%{perl_vendorlib}/Astro
%{perl_vendorlib}/Attribute
%{perl_vendorlib}/Audio
%{perl_vendorlib}/Authen
%{perl_vendorlib}/B
%{perl_vendorlib}/Barcode
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Business
%{perl_vendorlib}/Cache
%{perl_vendorlib}/Carp
%{perl_vendorlib}/CGI
%{perl_vendorlib}/Chart
%{perl_vendorlib}/Cisco
%{perl_vendorlib}/Class/Data
%{perl_vendorlib}/Class/Inspector
%{perl_vendorlib}/Class/Method
%{perl_vendorlib}/Clone
%{perl_vendorlib}/Compress
%{perl_vendorlib}/Config
%{perl_vendorlib}/Convert
%{perl_vendorlib}/Crypt
%{perl_vendorlib}/CSS
%{perl_vendorlib}/Data
%{perl_vendorlib}/Date
%{perl_vendorlib}/Date/Japanese
%{perl_vendorlib}/DateTime
%{perl_vendorlib}/DBD
%{perl_vendorlib}/Devel
%{perl_vendorlib}/Device
%{perl_vendorlib}/Digest
%{perl_vendorlib}/DNS
%{perl_vendorlib}/Email
%{perl_vendorlib}/Email/Simple
%{perl_vendorlib}/Error
%{perl_vendorlib}/Event
%{perl_vendorlib}/Expect
%{perl_vendorlib}/Exporter
%{perl_vendorlib}/ExtUtils
%{perl_vendorlib}/File
%{perl_vendorlib}/File/Path
%{perl_vendorlib}/Filesys
%{perl_vendorlib}/Filter
%{perl_vendorlib}/Font
%{perl_vendorlib}/Games
%{perl_vendorlib}/Getopt
%{perl_vendorlib}/GnuPG
%{perl_vendorlib}/Graph
%{perl_vendorlib}/Graphics
%{perl_vendorlib}/HTML
%{perl_vendorlib}/HTTP
%{perl_vendorlib}/Hash
%{perl_vendorlib}/Hook
%{perl_vendorlib}/I18N
%{perl_vendorlib}/IO
%{perl_vendorlib}/IO/Socket
%{perl_vendorlib}/IPC
%{perl_vendorlib}/Image
%{perl_vendorlib}/Inline
%{perl_vendorlib}/Jabber
%{perl_vendorlib}/Language
%{perl_vendorlib}/Lingua
%{perl_vendorlib}/Lingua/EN
%{perl_vendorlib}/Lingua/Stem
%{perl_vendorlib}/Lingua/Stem/Snowball
%{perl_vendorlib}/Linux
%{perl_vendorlib}/List
%{perl_vendorlib}/Locale
%{perl_vendorlib}/Locale/Maketext
%{perl_vendorlib}/LockFile
%{perl_vendorlib}/Log
%{perl_vendorlib}/MIME
%{perl_vendorlib}/Mail
%{perl_vendorlib}/Math
%{perl_vendorlib}/Math/BigInt
%{perl_vendorlib}/Math/Business
%{perl_vendorlib}/Math/Calc
%{perl_vendorlib}/Math/Fractal
%{perl_vendorlib}/Modem
%{perl_vendorlib}/Module
%{perl_vendorlib}/Module/Pluggable
%{perl_vendorlib}/Net
%{perl_vendorlib}/Net/IDN
%{perl_vendorlib}/Net/SMTP
%{perl_vendorlib}/NetAddr
%{perl_vendorlib}/NetAddr/IP
%{perl_vendorlib}/NetServer
%{perl_vendorlib}/Netscape
%{perl_vendorlib}/News
%{perl_vendorlib}/Number
%{perl_vendorlib}/OLE
%{perl_vendorlib}/Object
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PHP
%{perl_vendorlib}/Package
%{perl_vendorlib}/Params
%{perl_vendorlib}/Parse
%{perl_vendorlib}/PerlIO
%{perl_vendorlib}/PerlIO/via
%{perl_vendorlib}/Pod
%{perl_vendorlib}/PostScript
%{perl_vendorlib}/Probe
%{perl_vendorlib}/Proc
%{perl_vendorlib}/Quantum
%{perl_vendorlib}/RADIUS
%{perl_vendorlib}/RPC
%{perl_vendorlib}/RPM
%{perl_vendorlib}/RTF
%{perl_vendorlib}/Regexp
%{perl_vendorlib}/Rose
%{perl_vendorlib}/SNMP
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/SOAP/Transport
%{perl_vendorlib}/SQL
%{perl_vendorlib}/SVN
%{perl_vendorlib}/Schedule
%{perl_vendorlib}/Set
%{perl_vendorlib}/Sort
%{perl_vendorlib}/Speech
%{perl_vendorlib}/Spreadsheet
%{perl_vendorlib}/Statistics
%{perl_vendorlib}/String
%{perl_vendorlib}/Sub
%{perl_vendorlib}/Sys
%{perl_vendorlib}/TAP
%{perl_vendorlib}/TAP/Formatter
%{perl_vendorlib}/TAP/Formatter/Console
%{perl_vendorlib}/TAP/Formatter/File
%{perl_vendorlib}/TAP/Parser
%{perl_vendorlib}/TAP/Parser/Iterator
%{perl_vendorlib}/TAP/Parser/Result
%{perl_vendorlib}/TAP/Parser/Scheduler
%{perl_vendorlib}/TAP/Parser/Source
%{perl_vendorlib}/TAP/Parser/YAMLish
%{perl_vendorlib}/TeX
%{perl_vendorlib}/Template
%{perl_vendorlib}/Term
%{perl_vendorlib}/Term/ReadLine
%{perl_vendorlib}/Term/Screen
%{perl_vendorlib}/Test
%{perl_vendorlib}/Test/HTTP
%{perl_vendorlib}/Test/WWW
%{perl_vendorlib}/Text
%{perl_vendorlib}/Text/Query
%{perl_vendorlib}/Tie
%{perl_vendorlib}/Time
%{perl_vendorlib}/Tree
%{perl_vendorlib}/UNIVERSAL
%{perl_vendorlib}/Unicode
%{perl_vendorlib}/Unix
%{perl_vendorlib}/WWW
%{perl_vendorlib}/WWW/Google
%{perl_vendorlib}/WebService
%{perl_vendorlib}/X500
%{perl_vendorlib}/XML
%{perl_vendorlib}/XML/Filter
%{perl_vendorlib}/XML/Handler
%{perl_vendorlib}/XML/Parser
%{perl_vendorlib}/XML/RSS
%{perl_vendorlib}/XML/XPath
%{perl_vendorlib}/auto
%{perl_vendorlib}/auto/AI
%{perl_vendorlib}/auto/Array
%{perl_vendorlib}/auto/Compress
%{perl_vendorlib}/auto/Config
%{perl_vendorlib}/auto/Crypt
%{perl_vendorlib}/auto/Data
%{perl_vendorlib}/auto/Devel
%{perl_vendorlib}/auto/GnuPG
%{perl_vendorlib}/auto/Mail
%{perl_vendorlib}/auto/Math
%{perl_vendorlib}/auto/Net
%{perl_vendorlib}/auto/Schedule
%{perl_vendorlib}/auto/Statistics
%{perl_vendorlib}/auto/Text
%{perl_vendorlib}/auto/WWW
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/perl5/vendor_perl
%dir %{_libdir}/perl5/vendor_perl/%{abi}
%{perl_vendorarch}
%{perl_vendorlib}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-dirs.spec,v $
Revision 1.62  2009/08/04 23:35:34  glen
- release 17

Revision 1.61  2009/08/04 23:34:02  glen
- add %{perl_vendorarch}/{Event,auto/Event}; rel 16

Revision 1.60  2009/07/24 17:12:27  adamg
- vendorlib/Locale/Maktext; release 15

Revision 1.59  2009/07/03 23:34:32  hawk
- ehh, fixed dirs, need more sleep

Revision 1.58  2009/07/03 22:59:41  hawk
- more for perl-Params-Util

Revision 1.57  2009/07/03 22:53:37  hawk
- multiple new dirs for perl-Test-Harness and one for perl-Class-Inspector

Revision 1.56  2009/05/03 16:52:03  hawk
- added %{perl_vendorlib}/Package, release 12

Revision 1.55  2009/04/16 17:29:33  glen
- add %{perl_vendorlib}/Expect, sorted; rel 11

Revision 1.54  2009/03/13 15:22:23  hawk
- Titanium will have perl 5.10 now, release 10

Revision 1.53  2009/02/20 10:37:41  radek
- release 9: vendorlib/Clone

Revision 1.52  2009/02/20 10:19:12  radek
- release 8: vendorlib/Rose

Revision 1.51  2009/02/01 13:11:33  radek
- release 7: vendorlib/Class/Method

Revision 1.50  2009/01/30 16:05:48  radek
- release 6: vendorarch/Variable

Revision 1.49  2008/11/29 18:13:49  baggins
- rel 5
- added vendorlib/Linux

Revision 1.48  2008/11/26 20:31:34  glen
- release 4

Revision 1.47  2008/11/19 01:46:09  glen
- package also parent dirs for vendorarch; rel 3

Revision 1.46  2008/11/18 23:53:59  glen
- include whole vendorarch dir; rel 2

Revision 1.45  2008/11/18 21:32:51  glen
- disable debuginfo

Revision 1.44  2008/11/18 21:31:53  glen
- v2.1: own vendorlib and vendorarch dirs

Revision 1.43  2008/11/12 08:25:28  glen
- add %{perl_vendorlib}/Test/WWW; rel 7

Revision 1.42  2008/11/12 08:24:46  glen
- sorted

Revision 1.41  2008/09/18 19:34:57  agaran
- perl-Filter-Template uses vendorlib/Filter

Revision 1.40  2008/08/06 11:19:27  radek
- release 6: vendorarch/iptables{,/ipv4}

Revision 1.39  2008-04-23 12:46:11  radek
- release 5: vendorarch/Apache

Revision 1.38  2008-03-13 23:58:12  glen
- depend on rpmbuild macros expanding perl macros once

Revision 1.37  2008-02-17 17:25:00  radek
- release 4: vendorlib/Probe

Revision 1.36  2008-02-16 18:15:00  radek
- release 3: vendorlib/TAP

Revision 1.35  2008-02-09 14:57:27  wolvverine
- rel.2

Revision 1.34  2008-02-08 18:44:26  qboosh
- bcond desc, configurable bootstrap version

Revision 1.33  2008-02-08 12:44:03  arekm
- correct previous log entry

Revision 1.32  2008-02-08 12:43:37  arekm
- version 2.0 for perl 5.10

Revision 1.31  2008-02-08 11:45:39  arekm
- rel .3

Revision 1.30  2008-02-08 11:02:05  arekm
- rel .2

Revision 1.29  2008-02-08 10:54:40  arekm
- bootstrap bcond

Revision 1.28  2008-02-06 07:27:34  arekm
- rel 20; add CSS

Revision 1.27  2008-01-14 17:49:49  glen
- add %{perl_vendorlib}/NetAddr/IP

Revision 1.26  2007-11-24 17:49:43  radek
- release 18: vendorlib/Hook

Revision 1.25  2007-08-28 06:20:06  qboosh
- noted new release

Revision 1.24  2007/08/28 03:07:08  wolvverine
- add Event
  [release 17]

Revision 1.23  2007/06/24 20:16:45  arekm
- add List subdir

Revision 1.22  2007/05/03 22:48:29  glen
- spelling, sorted

Revision 1.21  2007/04/30 13:39:16  radek
- release 15: perl_vendorlib/WebService

Revision 1.20  2007/04/30 12:08:54  radek
- release 14: vendorarch/Encode

Revision 1.19  2007/03/31 12:33:27  radek
- release 13: perl_vendorlib/Test/HTTP

Revision 1.18  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.16  2007/02/09 23:43:26  radek
- release 12: vendorarch/Sub

Revision 1.15  2007/01/23 17:05:38  glen
- BR perl-base

Revision 1.14  2006/12/22 19:31:19  qboosh
- added vendorlib/Compress dirs, release 11

Revision 1.13  2006/12/22 17:49:05  qboosh
- added vendorarch/Compress/Raw
- release 10

Revision 1.12  2006/12/21 01:21:34  glen
- actually %_target_cpu must be used; rel 9

Revision 1.11  2006/12/21 01:17:04  glen
- Provide %{name}(%{_target_base_arch}); rel 8

Revision 1.10  2006/10/24 18:32:04  ankry
- added %{perl_vendorarch}/Unix, rel. 7

Revision 1.9  2006/10/21 19:42:20  ankry
- added %perl_vendorarch/IO, rel. 6

Revision 1.8  2006/08/24 21:20:52  qboosh
- pl, release 5

Revision 1.7  2006/08/24 21:18:46  qboosh
- vendorlib/Module/Pluggable dir moved to perl-dirs

Revision 1.6  2006/08/23 12:08:42  glen
- same, but keep the macros (for easyer copy-paste)

Revision 1.5  2006/08/23 11:45:56  sparky
- avoid calling perl so many times

Revision 1.4  2006/08/23 04:17:42  glen
- rel 4: add %{perl_vendorlib}/Apache2

Revision 1.3  2006/08/22 19:17:12  glen
- exclude dir, not whole tree, rel 3

Revision 1.2  2006/08/22 19:13:07  glen
- exclude %{perl_vendorarch}/auto (in perl-base); rel 2

Revision 1.1  2006/08/22 17:15:00  glen
- new
